> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch single member profile



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/hubs/{hub_id}/members/{contact_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hubs/{hub_id}/members/{contact_id}:
    get:
      tags:
        - community-directory
      summary: Fetch single member profile
      operationId: >-
        community_directory.get_community_directory_get_hubs_by_hub_id_members_by_contact_id
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: contact_id
          required: true
          schema:
            title: Contact Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiResponse_MemberDetailAttributes_'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiResponse_MemberDetailAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_MemberDetailAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[MemberDetailAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JsonApiResource_MemberDetailAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/MemberDetailAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[MemberDetailAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    MemberDetailAttributes:
      properties:
        banner_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Banner Color
        banner_scheme:
          anyOf:
            - enum:
                - split
                - complementary
                - analogous
                - triadic
                - monochrome
                - warm
              type: string
            - type: 'null'
          title: Banner Scheme
        banner_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Banner Url
        banner_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Banner Url Expires At
        banner_variant:
          anyOf:
            - enum:
                - gradient
                - image
              type: string
            - type: 'null'
          title: Banner Variant
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        can_direct_message:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Direct Message
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        hide_activity:
          title: Hide Activity
          type: boolean
        hide_profile:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Profile
        last_seen_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Seen At
        membership_status:
          anyOf:
            - enum:
                - active
                - banned
                - soft_banned
                - left
              type: string
            - type: 'null'
          title: Membership Status
        photo_thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo Thumbnail Url
        photo_thumbnail_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Photo Thumbnail Url Expires At
        photo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo Url
        photo_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Photo Url Expires At
        role:
          anyOf:
            - enum:
                - owner
                - admin
                - moderator
                - member
              type: string
            - type: 'null'
          title: Role
      required:
        - hide_activity
      title: MemberDetailAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````